Bug 827596 - If <rootpw> in the image XML template contains spaces, ImageFactory crashes at build.
If <rootpw> in the image XML template contains spaces, ImageFactory crashes a...
Status: CLOSED WONTFIX
Product: CloudForms Cloud Engine
Classification: Red Hat
Component: imagefactory (Show other bugs)
1.0.0
Unspecified Unspecified
high Severity medium
: rc
: ---
Assigned To: Ian McLeod
Rehana
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-01 16:12 EDT by Ricky Nelson
Modified: 2013-01-07 11:52 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-07 11:52:20 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ricky Nelson 2012-06-01 16:12:44 EDT
Description of problem:

Even though the XML template is validated in the web UI, the build crashes if the <rootpw> contains spaces.
Comment 1 Marek Mahut 2012-06-20 11:00:09 EDT
I think this should be moved to Cloud Engine.
Comment 3 Dave Johnson 2013-01-07 11:52:20 EST
Discussions around this have decided to close this bug as wontfix.  Passwords in the xml template are passed into anaconda and we expected kickstarts (outside of CloudForms) to fail in the same manner when a space is present.

Note You need to log in before you can comment on or make changes to this bug.